<?php
/**
 * ChannelsApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CommunicationManagerClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Communication manager
 *
 * Ensi Communication manager
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\CommunicationManagerClient;

use \Ensi\CommunicationManagerClient\Configuration;
use \Ensi\CommunicationManagerClient\ApiException;
use \Ensi\CommunicationManagerClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * ChannelsApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\CommunicationManagerClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class ChannelsApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createChannel
     *
     * Создание объекта типа Channel.
     *
     */
    public function testCreateChannel()
    {
    }

    /**
     * Test case for deleteChannel
     *
     * Удаление объекта типа Channel.
     *
     */
    public function testDeleteChannel()
    {
    }

    /**
     * Test case for patchChannel
     *
     * Изменение объекта типа Channel.
     *
     */
    public function testPatchChannel()
    {
    }

    /**
     * Test case for searchChannels
     *
     * Поиск объектов типа Channel.
     *
     */
    public function testSearchChannels()
    {
    }
}
